#toast-container{
	z-index: 100;
	position: fixed;
	pointer-events: none;
	padding: 15px;
	&[class*="toast-top-center"]{
		top: 0;
		right: 0;
		width: 100%;
		> div{
			min-width: 230px;
			margin-left: auto;
			margin-right: auto;
			max-width: 80%;
			width: fit-content;
		}
	}
	&[class*="toast-bottom-center"]{
		bottom: 0;
		right: 0;
		width: 100%;
		> div{
			min-width: 230px;
			margin-left: auto;
			margin-right: auto;
			max-width: 80%;
			width: fit-content;
		}
	}
	&[class*="toast-top-full-width"]{
		top: 0;
		right: 0;
		width: 100%;
		> div{
			width: 96%;
			margin-left: auto;
			margin-right: auto;
		}
	}
	&[class*="toast-bottom-full-width"]{
		bottom: 0;
		right: 0;
		width: 100%;
		> div{
			width: 96%;
			margin-left: auto;
			margin-right: auto;
		}
	}
	&[class*="toast-top-left"]{
		top: 12px;
		left: 12px;
	}

	&[class*="toast-top-right"]{
		top: 12px;
		right: 12px;
	}

	&[class*="toast-bottom-right"]{
		right: 12px;
		bottom: 12px;
	}

	&[class*="toast-bottom-left"]{
		bottom: 12px;
		left: 12px;
	}
	> div{
		position: relative;
		overflow: hidden;
		margin: 0 0 6px;
		padding: 15px;
		width: 230px;
		background-position: 15px center;
		background-repeat: no-repeat;
		color: #FFFFFF;
		opacity: .7;
		@include border-radius(3px);
		@include box-shadow(0 5px 20px negro(3));
		&:hover {
			opacity: 1;
			cursor: pointer;
		}
	}
	* {
		@include box-sizing(border-box);
	}
	.toast{
		background-color: #fff;
		color: $primary;
		pointer-events: all;
		&[class*="toast-success"]{
			background-color: negro(8);
			border-left: 3px solid $t-success;
			border-right: 3px solid $t-success;
			opacity: 1;
		}
		&[class*="toast-error"]{
			background-color: negro(8);
			border-left: 3px solid $t-error;
			border-right: 3px solid $t-error;
			opacity: 1;
		}
		&[class*="toast-info"]{
			background-color: negro(8);
			border-right: 3px solid $narrojo;
		}
		&[class*="toast-warning"]{
			background-color: negro(8);
			border-left: 3px solid $t-warning;
			border-right: 3px solid $t-warning;
			opacity: 1;
		}
		/*Additional properties for button version iOS requires the button element instead of an anchor tag. If you want the anchor version, it requires `href="#"`.*/
		.toast-close-button{
			padding: 0;
			cursor: pointer;
			background: transparent;
			border: 0;
			position: relative;
			right: -0.3em;
			top: -0.3em;
			float: right;
			font-size: 20px;
			font-weight: bold;
			color: #000;
			opacity: 0.4;
			&:hover, &:focus {
				color: #000;
				text-decoration: none;
				cursor: pointer;
				opacity: 0.8;
			}
		}
		.toast-title{
			font-weight: 500;
		}
		.toast-message{
			-ms-word-wrap: break-word;
			word-wrap: break-word;
			a, label{
				color: $narrojo;
			}
			a{
				&:hover{
					text-decoration: underline;
				}
			}
		}
		.toast-progress{
			position: absolute;
			left: 0;
			bottom: 0;
			height: 4px;
			background-color: #000;
			opacity: 0.4;
		}
		img{
			float: left;
			margin: 0 15px 0 0;
			@include border-radius(50%);
			border-radius: 50%;
			max-width: 32px;
			max-height: 32px;
		}
	}
}
/*Responsive Design*/
@media all and (max-width: 240px) {
	#toast-container{
		> div {
			padding: 8px;
			width: 11em;
		}
		.toast-close-button {
			right: -0.2em;
			top: -0.2em;
		}
	}
}

@media all and (min-width: 241px) and (max-width: 480px) {
	#toast-container{
		> div {
			padding: 8px;
			width: 18em;
		}
		.toast-close-button {
			right: -0.2em;
			top: -0.2em;
		}
	}
}

@media all and (min-width: 481px) and (max-width: 768px) {
	#toast-container{
		> div {
			padding: 15px;
			width: 25em;
		}
	}
}